#### D.6.13.12 sppnf

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  sppnf(list(a,w[,m])); ideal a, intvec w, intvec m

Assume:
  ncols(a)==size(w)==size(m)

Return:
  order (a[i][,w[i]]) with multiplicity m[i] lexicographically

Example:

    LIB "gmssing.lib";
    ring R=0,(x,y),ds;
    list sp=list(ideal(-1/2,-3/10,-3/10,-1/10,-1/10,0,1/10,1/10,3/10,3/10,1/2),
    intvec(2,1,1,1,1,1,1,1,1,1,0));
    sppprint(sppnf(sp));
    ==> ((-1/2,2),1),((-3/10,1),2),((-1/10,1),2),((0,1),1),((1/10,1),2),((3/10,1)\
       ,2),((1/2,0),1)

User manual for Singular version 4.4.1, 2025, generated by texi2html.